Deliverability

Get Deliverability Score

POST/v1/deliverability-score/{emailAccountId}
POST
/v1/deliverability-score/{emailAccountId}

Get warmup deliverability score for an email account

Returns overall and per-ESP deliverability rates (inbox vs spam) for the given date range.

Authorization

X-Api-Key<token>

In: header

Request Body

application/jsonRequired

startDatestring

Start date (YYYY-MM-DD)

Example: "2026-03-01"

endDatestring

End date (YYYY-MM-DD)

Example: "2026-03-31"

espsarray<string>

Example: ["gmail","outlook","other"]

Path Parameters

emailAccountIdnumber

Responses

200
200 response
{
  "emailAccountId": 12345,
  "totalDeliverabilityRate": 88,
  "totalSentCount": 1500,
  "totalInboxCount": 1320,
  "totalSpamInboxCount": 180,
  "gmail": {
    "deliverabilityRate": 92,
    "sentCount": 500,
    "inboxCount": 460,
    "spamCount": 40
  },
  "outlook": {
    "deliverabilityRate": 92,
    "sentCount": 500,
    "inboxCount": 460,
    "spamCount": 40
  },
  "other": {
    "deliverabilityRate": 92,
    "sentCount": 500,
    "inboxCount": 460,
    "spamCount": 40
  }
}

Request

curl -X POST \
  "https://lupus-edge.trulyinbox.com/v1/deliverability-score/{emailAccountId}" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "startDate": "2026-03-01",
  "endDate": "2026-03-31",
  "esps": [
    "gmail",
    "outlook",
    "other"
  ]
}'

Response

No response body